//Libraire à importer ! 
#include "LedControl.h"

/*
 Configuration des pins (MAX72XX) 
 LedControl lc=LedControl(8,9,10,1);
 Pin 8  connecté au DataIn 
 Pin 9  connecté au CLK 
 Pin 10  connecté au LOAD 
*/

LedControl lc=LedControl(8,9,10,1);

/* Temporisation de mise en service de l'afficheur */
unsigned long delaytime=100;
byte x=0,y=0;
byte Data[8]={0,0,0,0,0,0,0,0};

byte inByte = 0;         // incoming serial byte


void setup() {
  
  /* ******************* MAX72XX ********************** */
  
  lc.shutdown(0,false);
  /* Set the brightness to a medium values */
  lc.setIntensity(0,8);
  /* and clear the display */
  lc.clearDisplay(0);
  
  
  /* ******************* UART ********************** */
  
  Serial.begin(9600);
}


void loop() 
{ 
  
  
  
  /* ****  Get data fom UART - Partie  1  **** */
  /*
  while (1) 
  {
      // Get and set data 
      y = Serial.parseInt();
      x = Serial.parseInt();
      
      if (Serial.read() =='#') break; 
      
  }
  lc.setLed(0,y,x,1);
  */
  
  
  
  /* ****  Get data fom UART - Partie  1 & 2  **** */
  
  if (Serial.read() =='#') 
  {
    while(1)
    {
      // Get and set data 
      y = Serial.parseInt();
      x = Serial.parseInt();
      lc.setLed(0,y,x,1);
      
      if (Serial.read() =='*') break;
    }
  }
  
  
  
  
  // Update 
  delay(200);
  lc.clearDisplay(0);
}



/******************* FUNCTIONS **********************/

void int2BitArray(unsigned char dataIn,unsigned char taille, byte *dataArray)
{
  int i=0;
  
  for(i=0;i<taille;i++)
    dataArray[taille-i-1]= (dataIn>>i)&0x01;	
}

void DataShiftArray(unsigned char NumShift,unsigned char taille,  byte *DataIn, byte *DataOutShift)
{
  int i=0;
  
  for(i=0;i<taille;i++)
    DataOutShift[i]= (DataIn[i]>>NumShift);	
}

