% clear all;
close all;
clc;


%% ****** Transmission d'un vecteur ****** %%
%% ****** Transmission d'un vecteur ****** %%


%% Get image from disk

% imm=imread('cameraman.tif');
% imm=imread('im_2.jpg');
% imm=imread('cell.tif');
imm=imread('im_3.jpg');
% imm=imread('blobs.png');
% imm=rgb2gray(imread('football.jpg'));

%% Get image from camera

% vid=videoinput('winvideo',1);
% set(vid,'ReturnedColorSpace','grayscale');
% imm=getsnapshot(vid);
% imm=imresize(imm,[512 512]);

%% Normalize image

num_disp=8;
num_im=140;
imm=imresize(imm,[num_im num_im]);
im_0=uint8(zeros(num_disp,num_disp));


%% Read & Write Pixels

while(1)
    
    %% Get values from screen
    
    % Display original image
    figure(1);
    subplot(121); imshow(imm); axis square; axis on;
    [xi,yi,P]=impixel;
    xi=round(num_disp*xi(1:end-1)/num_im);
    yi=round(num_disp*yi(1:end-1)/num_im);
    
    for i=1:length(yi)
        if yi(i)==0
            yi(i)=1;
        end;
        if xi(i)==0
            xi(i)=1;
        end;
        im_0(yi(i),xi(i))=255;
    end;
    
    
    % Display novel image
    subplot(122); imshow(uint8(im_0)); axis on;
    
    % Update
    im_0=0*im_0;
    
    % Affichage des coordonnes
    xi
    yi
    
    %% Send data to ARDUINO
    
    Startt='#';     % Caractre de dbut de Tx
    Endd='*';       % Caractre de fin de Tx
    WriteData1(xi,yi,Startt,Endd, SerialCOM); % Transmision de donnes
    
end


%% Port Delete (Previous port if exist)

Delete(SerialCOM);
SerialCOM = Open();
